Tenant/Tenant

Get available tenant permissions by user

Fetches tenants with their projects where the target user is missing project permissions. Each tenant includes a list of projects (tenant × bucket) where the user has no permissions yet, with the available permissions the caller can grant.

GET
/api/v2/tenants/available-permissions-by-user/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

The target user ID

Query Parameters

limit?integer

Maximum number of tenants to return

Default30
offset?integer

Pagination offset

Default0
tenantId?string

Filter by a specific tenant UUID

Formatuuid
search?string

Case-insensitive substring match on tenant.name

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/tenants/available-permissions-by-user/1?limit=30&offset=0&tenantId=01936f1a-5b5a-7000-8000-000000000001&search=demo"
{  "tenants": [    {      "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",      "tenantName": "DEMO",      "productName": "b2core",      "projects": [        {          "id": 12,          "name": "DEMO_web",          "platform": "web",          "projectTypeId": 3,          "projectTypeName": "b2core-web",          "availablePermissions": [            "Viewer"          ]        }      ],      "actions": [        "ProjectUserDelete"      ]    }  ],  "pagination": {    "maxCount": 5  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}